# Uses of Interface
org.italiangrid.voms.VOMSAttribute

Packages that use VOMSAttribute
Package
Description
org.italiangrid.voms.ac
This package provides the APIs to perform validation and parsing of VOMS attributes.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.
org.italiangrid.voms.asn1
This package provides classes and utilities that deal with serialization and deserialization of VOMS attributes from ASN.1 streams.

## Uses of VOMSAttribute in org.italiangrid.voms.ac

Methods in org.italiangrid.voms.ac that return VOMSAttribute
Modifier and Type
Method
Description
`VOMSAttribute`
VOMSValidationResult.`getAttributes()`
The attributes are to be considered valid only if the `VOMSValidationResult.isValid()` method for this `VOMSValidationResult` is `true`.
Methods in org.italiangrid.voms.ac that return types with arguments of type VOMSAttribute
Modifier and Type
Method
Description
`List<VOMSAttribute>`
VOMSAttributesNormalizationStrategy.`normalizeAttributes(List<ACParsingContext> acs)`
Returns the normalized view of VOMS Authorization information starting from a list of VOMS Attribute certificates.
`List<VOMSAttribute>`
VOMSACParser.`parse(X509Certificate[] validatedChain)`
Looks for and parses VOMS attributes in the certificate chain passed as argument (which is assumed to be already validated).
`List<VOMSAttribute>`
VOMSACValidator.`validate(X509Certificate[] validatedChain)`
Parses and validates the VOMS attributes found in the certificate chain passed as argument (which is assumed to be validated already).
Methods in org.italiangrid.voms.ac with parameters of type VOMSAttribute
Modifier and Type
Method
Description
`VOMSValidationResult`
VOMSACValidationStrategy.`validateAC(VOMSAttribute attributes)`
Validates VOMS attributes not extracted from a certificate chain (e.g., as returned from the VOMS server)
`VOMSValidationResult`
VOMSACValidationStrategy.`validateAC(VOMSAttribute attributes, X509Certificate[] theChain)`
Validates a VOMS Attribute Certificate
Constructors in org.italiangrid.voms.ac with parameters of type VOMSAttribute
Modifier
Constructor
Description
``
`VOMSValidationResult(VOMSAttribute attributes, boolean valid)`
Default constructor.
``
`VOMSValidationResult(VOMSAttribute attributes, boolean valid, List<VOMSValidationErrorMessage> validationErrors)`
This constructor is used to pass in a list of validation errors as well.

## Uses of VOMSAttribute in org.italiangrid.voms.ac.impl

Classes in org.italiangrid.voms.ac.impl that implement VOMSAttribute
Modifier and Type
Class
Description
`class`
`VOMSAttributesImpl`
The default implementation for voms attributes
Methods in org.italiangrid.voms.ac.impl that return types with arguments of type VOMSAttribute
Modifier and Type
Method
Description
`List<VOMSAttribute>`
LeafVOMSExtensionNormalizationStrategy.`normalizeAttributes(List<ACParsingContext> acs)`
`List<VOMSAttribute>`
DefaultVOMSACParser.`parse(X509Certificate[] validatedChain)`
Parses and extracts VOMS attributes from a validated X.509 certificate chain.
`List<VOMSAttribute>`
DefaultVOMSValidator.`validate(X509Certificate[] validatedChain)`
Methods in org.italiangrid.voms.ac.impl with parameters of type VOMSAttribute
Modifier and Type
Method
Description
`VOMSValidationResult`
DefaultVOMSValidationStrategy.`validateAC(VOMSAttribute attributes)`
`VOMSValidationResult`
DefaultVOMSValidationStrategy.`validateAC(VOMSAttribute attributes, X509Certificate[] chain)`

## Uses of VOMSAttribute in org.italiangrid.voms.asn1

Methods in org.italiangrid.voms.asn1 that return VOMSAttribute
Modifier and Type
Method
Description
`static VOMSAttribute`
VOMSACUtils.`deserializeVOMSAttributes(org.bouncycastle.asn1.x509.AttributeCertificate ac)`
Deserializes the information in a VOMS attribute certificate.
Methods in org.italiangrid.voms.asn1 that return types with arguments of type VOMSAttribute
Modifier and Type
Method
Description
`static List<VOMSAttribute>`
VOMSACUtils.`deserializeVOMSAttributes(List<org.bouncycastle.asn1.x509.AttributeCertificate> acs)`
Deserializes the information in a list of VOMS attribute certificates.